Subject: [IPsec] Data used in AUTH computation

From: "Arvind Swaminathan" <[email-masked]>
Date: Fri, 11 Jul 2008 18:33:48 -0700

Hi,

I have some questions regrading the IKEv2 RFC and would appreciate help from
the IPSec experts.

The sequence of steps when using EAP in IKEv2 is shown in page 32 of
RFC4306.

How is the AUTH payload computed in message 4 in this page?  The one with
IKE_AUTH_RESPONSE( HDR, SK {IDr, [CERT,] AUTH, EAP}).

I think the Responder digitally signs some data with its private key.  If
yes, what is the data that is digitally signed?  If no, what is done?

Thanks,
Arvind
_______________________________________________
IPsec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipsec

---

From: ns srinivasa murthy <[email-masked]>
Date: Mon, 14 Jul 2008 11:04:46 +0530

Hi,

RFC 4306 Section 2.15 listed the data to be used for signing by the 
responder.In case of EAP ,the AUTH pay load is sent only by the responder.

-nsmurthy

At 07:03 AM 7/12/2008, Arvind Swaminathan wrote:
>Hi,
>
>I have some questions regrading the IKEv2 RFC and would appreciate 
>help from the IPSec experts.
>
>The sequence of steps when using EAP in IKEv2 is shown in page 32 of RFC4306.
>
>How is the AUTH payload computed in message 4 in this page?  The one 
>with IKE_AUTH_RESPONSE( HDR, SK {IDr, [CERT,] AUTH, EAP}).
>
>I think the Responder digitally signs some data with its private 
>key.  If yes, what is the data that is digitally signed?  If no, what is done?
>
>Thanks,
>Arvind

********************************************************************************
This email message (including any attachments) is for the sole use of the intended recipient(s) 
and may contain confidential, proprietary and privileged information. Any unauthorized review, 
use, disclosure or distribution is prohibited. If you are not the intended recipient, 
please immediately notify the sender by reply email and destroy all copies of the original message. 
Thank you.
 
Intoto Inc.